summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2015-03-10 04:54:09 +0200
committerMart Raudsepp <leio@gentoo.org>2015-03-10 04:54:09 +0200
commit7cbfbed032548f9a5fab2baee412a84cd5bfc139 (patch)
tree43de2919cea272b269ee8bf12627438b4aef3a9c /media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild
parentwebkit-gtk: Fix rpi egl/gles2 flag appending logic (diff)
downloadleio-7cbfbed032548f9a5fab2baee412a84cd5bfc139.tar.gz
leio-7cbfbed032548f9a5fab2baee412a84cd5bfc139.tar.bz2
leio-7cbfbed032548f9a5fab2baee412a84cd5bfc139.zip
raspberrypi-userland: Claim a mesa version for wayland-egl package
Otherwise versioned checks for wayland-egl package fail. In particular, gst-plugins-bad needs at least version 9.0 (probably a mesa[egl] ver)
Diffstat (limited to 'media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild')
-rw-r--r--media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild6
1 files changed, 5 insertions, 1 deletions
diff --git a/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild b/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild
index c6f42a6..33d8520 100644
--- a/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild
+++ b/media-libs/raspberrypi-userland/raspberrypi-userland-0_pre20150214.ebuild
@@ -74,5 +74,9 @@ src_install() {
doins "${FILESDIR}"/bcm_host.pc
doins "${FILESDIR}"/egl.pc
doins "${FILESDIR}"/glesv2.pc
- use wayland && doins "${ED}"/opt/vc/lib/pkgconfig/wayland-egl.pc # Maybe move?
+ if use wayland; then
+ # Missing wayland-egl version from the patch; claim 9.0 (a mesa version) for now, so gst-plugins-bad wayland-egl check is happy
+ sed -i -e 's/Version: /Version: 9.0/' "${ED}"/opt/vc/lib/pkgconfig/wayland-egl.pc
+ doins "${ED}"/opt/vc/lib/pkgconfig/wayland-egl.pc # Maybe move?
+ fi
}